# Uses of Class
org.apache.lucene.search.matchhighlight.MatchHighlighter.DocHighlights

Packages that use MatchHighlighter.DocHighlights
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of MatchHighlighter.DocHighlights in org.apache.lucene.search.matchhighlight

  Methods in org.apache.lucene.search.matchhighlight that return types with arguments of type MatchHighlighter.DocHighlights
  Modifier and Type
  Method
  Description
  `Stream<MatchHighlighter.DocHighlights>`
  MatchHighlighter.`highlight(TopDocs topDocs, Query... queries)`